package binary

import (
	"bytes"
	"fmt"
)

func PCap(array []byte) string {
	buffer := bytes.NewBuffer(nil)
	buffer.WriteString("000000 ")
	for currentByteIndex, currentByte := range array {
		buffer.WriteString(fmt.Sprintf("%2.2x ", currentByte))
		if currentByteIndex != 0 && (currentByteIndex+1)%16 == 0 {
			buffer.WriteString("\n")
			buffer.WriteString(fmt.Sprintf("%2.6x ", currentByteIndex+1))
		}
	}
	return buffer.String()
}
