package code

type Op int

const (
	OpStandard Op = iota
	OpInverse
	OpServerStatus
)

func (op *Op) String() string {
	switch *op {
	case OpStandard:
		return "standard"
	case OpInverse:
		return "inverse"
	case OpServerStatus:
		return "server status"

	default:
		return "unknown"
	}
}
